Package org.apache.sling.event.impl.jobs

# Interface JobTopicTraverser.JobCallback

Enclosing class:
  `JobTopicTraverser`

public static interface JobTopicTraverser.JobCallback
Callback called for each found job.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handle(JobImpl job)`
Callback handle for a job.

## Method Details

### handle

boolean handle(JobImpl job)
Callback handle for a job. If the callback signals to stop traversing, the current minute is still processed completely (to ensure correct ordering of jobs).

Parameters:
  `job` - The job to handle
Returns:
  `true` If processing should continue, `false` otherwise.